Page MenuHomePhabricator

Missing centralnotice admin protection level messages causing broken edit summaries and strings in Special Pages
Closed, ResolvedPublic

Description

Taking a look here it looks like protect-level-centralnotice-admin is missing. We should add it to WikimediaMessages. I'll do so shortly.

Details

Related Gerrit Patches:
mediawiki/extensions/CentralNotice : masterInclude i18n descriptions for CN-admin page protection
mediawiki/extensions/WikimediaMessages : masterRemove messages for centralnotice-admin permissions
mediawiki/extensions/WikimediaMessages : masterAdd new "centralnotice-admin" protection level messages

Event Timeline

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptDec 3 2018, 9:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

restriction-level-centralnotice-admin is also missing which I'll add as well.

Change 477236 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/WikimediaMessages@master] Add new "centralnotice-admin" protection level messages

https://gerrit.wikimedia.org/r/477236

MarcoAurelio renamed this task from Missing `protect-level-centralnotice-admin` messages causing broken edit summaries to Missing centralnotice admin protection level messages causing broken edit summaries and strings in Special Pages.EditedDec 3 2018, 10:34 AM

I was looking too to right-edit.* messages, but I couldn't find it is needed here.

(I am refering to a potential right-editcentralnotice-adminprotected)

MarcoAurelio added a subscriber: Jdforrester-WMF.

Ping @Jdforrester-WMF for the above question - thanks.

I was looking too to right-edit.* messages, but I couldn't find it is needed here.
(I am refering to a potential right-editcentralnotice-adminprotected)

Those in core are used via EditPage.php/etc.; how did this protection level get created? It's not listed at https://meta.wikimedia.org/wiki/Special:ListGroupRights so I don't think it's needed?

MarcoAurelio added a comment.EditedDec 3 2018, 10:07 PM

@Jdforrester-WMF I think this got added at:

However the centralnotice-admin permission is not part of CentralNotice itself (it was an ad hoc permission created on Meta-Wiki to allow non-admins to access CN) so I'm not sure why CN is using a custom permission that only exists at wmf-config (cfr. extension.json and wmf-config (permalink)).

Hmm, if it's just done through hooks then we don't need another message, I think. Let's merge your patch.

So the metawiki group is called 'centralnoticeadmin' with the permission 'centralnotice-admin' inside it. And pages are getting protected to the 'centralnotice-admin' level which only 'centralnoticeadmin' people have access to. It gets confusing at times :)

Change 477236 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add new "centralnotice-admin" protection level messages

https://gerrit.wikimedia.org/r/477236

MarcoAurelio closed this task as Resolved.Dec 4 2018, 11:22 AM

Looking good on Beta Cluster. Closing.

Hi, quick question... (Just revisiting this while looking at T209763.) Since CentralNotice does actually use the centralnotice-admin right for page protections, as hardcoded here, shouldn't restriction-level-centralnotice-admin and protect-level-centralnotice-admin messages be included in the extension, rather than in WikimediaMessages? Not a big issue, in any case, and thanks again for the help on this! :)

Change 484278 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/CentralNotice@master] Include i18n descriptions for CN-admin page protection

https://gerrit.wikimedia.org/r/484278

Change 484283 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/WikimediaMessages@master] Remove messages for centralnotice-admin permissios

https://gerrit.wikimedia.org/r/484283

^ Two patches to move these into the CentralNotice extension.

Change 484283 abandoned by MarcoAurelio:
Remove messages for centralnotice-admin permissions

Reason:
Let's just create a revert of https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikimediaMessages/ /477236/ instead.

https://gerrit.wikimedia.org/r/484283

Sorry, what a mess between WikimediaMessages and CentralNotice. To sumarise:

I think this is now really ready. @Raymond Shall we delete from translatewiki the keys we added to WikimediaMessages and that are now being added to CentralNotice to avoid duplicates? Thanks.

MarcoAurelio reopened this task as Open.Jan 15 2019, 10:37 AM

Change 484278 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Include i18n descriptions for CN-admin page protection

https://gerrit.wikimedia.org/r/484278

I think we can close this now, right?

MarcoAurelio triaged this task as Medium priority.Feb 5 2019, 3:19 PM